Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 20 Dec 2014, 09:10
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
Python 2.7 with idle pet
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [10 Posts]  
Author Message
donarntz

Joined: 11 Oct 2010
Posts: 11

PostPosted: Thu 22 Mar 2012, 21:27    Post subject:  Python 2.7 with idle pet
Subject description: installing python 2.7 on puppy linux
 

Hi All,

Newbie here. I've started a python programming class at school. Can someone tell me how to install python 2.7 with idle on puppy linux? I can't find it in the repositories. http://www.python.org/download/

Sorry if this has be addressed, but I can't find anything on it. Oh, I'm running slacko.

-Don
Back to top
View user's profile Send private message 
antiloquax


Joined: 27 Jan 2012
Posts: 405

PostPosted: Thu 22 Mar 2012, 21:55    Post subject:  

These .pets are available for Saluki. You need "python-tk" fod IDLE to work. I'm not sure if they will work in slacko ...

python-tk
Python-2.7.2

_________________
My System:Arch-Arm on RPi!
"RacyPy" puplet on Toshiba Tecra 8200. PIII, 256 MB RAM.
RaspberryPy: Lobster and I blog about the RPi.
Back to top
View user's profile Send private message 
donarntz

Joined: 11 Oct 2010
Posts: 11

PostPosted: Fri 23 Mar 2012, 13:16    Post subject: Thanks!  

I'll try to install when I get home. I'm really surprised that it's not a standard pet.
Back to top
View user's profile Send private message 
partsman

Joined: 06 Jun 2012
Posts: 261
Location: OHIO,USA

PostPosted: Fri 16 May 2014, 12:58    Post subject:  

Hello all Very Happy
Is it possible to update python in wary/racy ? Confused
I tried using these pets with no avail Confused
I have become interested in pygame and seems most are using python 2.7&3.4
Thanks to all that reply Wink
Any insight on this would be appreciated Very Happy

_________________
"PUPPY" POWERED BY PEOPLE
AKITA LINUX kernel 2.6.32.28
Wink
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1951
Location: wales

PostPosted: Sun 18 May 2014, 18:49    Post subject:  

hi partsman,

there is also pygame in the saluki repo http://www.smokey01.com/saluki/pet_packages-saluki/

if you install the python 2.7 stuff from there it should work on wary

_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=96178
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
Back to top
View user's profile Send private message 
Geoffrey


Joined: 30 May 2010
Posts: 1510
Location: Queensland Australia ɹǝpu∩uʍop

PostPosted: Mon 19 May 2014, 05:12    Post subject:  

There is a large number of Python pet packages in the Carolina repo that may be of use.

Python-2.7.2-i486.pet
pygame-1.9.1.pet
python-tk-2.7.2.pet

_________________
Carolina: Recent Repository Additions
Create strikethrough text HERE
Back to top
View user's profile Send private message 
partsman

Joined: 06 Jun 2012
Posts: 261
Location: OHIO,USA

PostPosted: Mon 19 May 2014, 08:18    Post subject:  

Hi all Very Happy
Thank you all for your replies Very Happy
I actually did install the pets listed and I got some errors when running pygame Confused
But I will reinstall again and post my errors maybe something else is not right Confused
Anyway I will post back hopefully with success !
Thank you all Very Happy

_________________
"PUPPY" POWERED BY PEOPLE
AKITA LINUX kernel 2.6.32.28
Wink
Back to top
View user's profile Send private message 
partsman

Joined: 06 Jun 2012
Posts: 261
Location: OHIO,USA

PostPosted: Mon 19 May 2014, 21:05    Post subject:  

Thank you all ! Very Happy Very Happy
The supplied pets worked perfect !
The pets i spoke of earlier were wrong !
Thank you Thank you Wink
capture9074.png
Description 
png

 Download 
Filename  capture9074.png 
Filesize  11.84 KB 
Downloaded  279 Time(s) 

_________________
"PUPPY" POWERED BY PEOPLE
AKITA LINUX kernel 2.6.32.28
Wink
Back to top
View user's profile Send private message 
slavvo67

Joined: 12 Oct 2012
Posts: 488
Location: The other Mr. 305

PostPosted: Mon 19 May 2014, 22:34    Post subject:  

Partsman:

Maybe for others here, you would like to post which pets did the job?

Thanks,

Slavvo67
Back to top
View user's profile Send private message 
partsman

Joined: 06 Jun 2012
Posts: 261
Location: OHIO,USA

PostPosted: Tue 20 May 2014, 12:18    Post subject:  

slavvo67 wrote:
Partsman:

Maybe for others here, you would like to post which pets did the job?

I'm sorry I should have been more clear the pets supplied by Geoffrey
worked perfect ! Wink
Thank you to all for your help Very Happy

_________________
"PUPPY" POWERED BY PEOPLE
AKITA LINUX kernel 2.6.32.28
Wink
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [10 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0600s ][ Queries: 12 (0.0058s) ][ GZIP on ]